feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Par

# Documentation

newtype P a

Constructors

P |
Fields unP :: Mon FeldSymbols Type Par a

Instances

Monad P |
Functor P |
Syntax a => Syntactic (P a) |

newtype IVar a

Constructors

IVar |
Fields unIVar :: Data (IV (Internal a))

Instances

Syntax a => Syntactic (IVar a) |
Syntax a => Syntax (IVar a) |